Skip to content
Last updated

Get Subscription

Retrieve your current game action events subscription.

API Call Sample:

GET
/api/v1/subscriptions/game-action-events
curl -i -X GET \
  -u '<username>:<password>' \
  https://asia.stage.rubyplay.io/api/v1/subscriptions/game-action-events
Response
{ "gameActionEvents": [ { "name": "FEATURE", "gameId": "rp_140" } ], "callbackUrl": "https://callback-url.com/rubyplay", "auth": { "type": "BEARER", "credentialsConfigured": true } }

Response Schema:

gameActionEventsArray of objects, non-empty(GameActionEventDto)required
callbackUrlstring

When this parameter is specified, it overrides the webhook URL. Otherwise, the default URL, which is used for money transactions, will be used (with the same auth type and credentials).

Example:"https://callback-url.com/rubyplay"
authobject(GameActionEventsAuthDto)

Authentication for the webhook URL, which is specified in the callbackUrl parameter